#if !defined(AFX_XPADEMODATADLG_H__6A9DD8A5_7749_11D2_AF68_00C0A835AA27__INCLUDED_)
#define AFX_XPADEMODATADLG_H__6A9DD8A5_7749_11D2_AF68_00C0A835AA27__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// XpaDemoDataDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CXpaDemoDataDlg dialog

class CXpaDemoDataDlg : public CDialog
{
// Construction
public:
	CXpaDemoDataDlg(int Lcn, CWnd* pParent = NULL);   // constructor

// Dialog Data
	//{{AFX_DATA(CXpaDemoDataDlg)
	enum { IDD = IDD_XPADEMO_DATA_DIALOG };
	CListBox	m_outDataListBox;
	CListBox	m_inDataListBox;
	CButton	m_txStartButton;
	int		m_txLen;
	int		m_txNum;
	CString	m_rxCorrString;
	CString	m_rxOutOfSeqString;
	CString	m_rxFramesString;
	//}}AFX_DATA
	int		m_lcn;								// logical channel number
	BOOL	m_txing;							// TRUE when we are transmitting
	BYTE	m_currentTxSeq;						// current tx sequence number 
	BYTE	m_txDataBuffer[XPA_CBLOCK_MDATALEN];// Data for transmissions will be held here
	int		m_framestxed;						// number of frames trnasmitted
	BYTE	m_currentRxSeq;						// current rx sequence number
	int		m_rxFrames;							// number of frames received
	int		m_rxOutOfSeq;						// number of out-of-sequence frames received
	int		m_rxCorr;							// number of corrupted frames received

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CXpaDemoDataDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	// DefWindowProc override ... we need to have it here because we would like
	// to reply to all WMXPA_ messages that hasn't been handled otherwise ....
	virtual LRESULT DefWindowProc( UINT message, WPARAM wParam, LPARAM lParam );

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CXpaDemoDataDlg)
	afx_msg void OnCloseClicked();
	afx_msg void OnTxStartClicked();
	//}}AFX_MSG

	// User defined message map functions 
	afx_msg LRESULT OnRxData(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnTxReady(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnClearReq(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()

	// Member functions
	void  TransmitData(void);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_XPADEMODATADLG_H__6A9DD8A5_7749_11D2_AF68_00C0A835AA27__INCLUDED_)
